@charset "UTF-8";
/*-------------
rich text editor
-------------*/
@media screen and (max-width:767px){
    :where(.blog-rte){
        font-size: 13px;
    }
}
:where(.blog-rte) > *:first-child{
    margin-top: 0!important;
}
:where(.blog-rte) > *:last-child,
:where(.blog-rte) > *:has(+ script:last-child),
.mt-be-column > *:last-child{
    margin-bottom: 0!important;
}
:where(.blog-rte) p,
:where(.blog-rte) blockquote{
    line-height: 1.8;
}
:where(.blog-rte) :where(p, blockquote) + :is(p, blockquote){
    margin-top: 1em;
}

/* hr */
:where(.blog-rte) hr{
    clear: both;
    height: 0;
    margin: 40px 0;
    border: none;
    border-top: solid 1px var(--border-gray);
    box-sizing: content-box;
}
:where(.blog-rte) *:has(+ hr){
    margin-bottom: 0!important;
}
:where(.blog-rte) hr + *{
    margin-top: 0!important;
}
@media screen and (max-width:767px){
    :where(.blog-rte) hr{
        margin: 30px 0;
    }
}

/* img */
:where(.blog-rte) img{
    max-width: 100%;
    height: auto;
}
:where(.blog-rte) p:not([class]):has(img),
:where(.blog-rte) .mt-figure{
    margin: 30px 0;
}
:where(.blog-rte) :is(p:not([class]):has(img), .mt-figure) + :is(p:not([class]):has(img), .mt-figure){
    margin-top: -10px;
}
:where(.blog-rte) p:not([class]) img:not(:last-child){
    margin-bottom: 10px;
}
:where(.blog-rte) figcaption{
    display: block;
    margin-top: 9px;
    color: var(--text-gray);
    line-height: calc(1em + 4px);
}
@media screen and (max-width:767px){
    :where(.blog-rte) figcaption{
        margin-top: 7px;
        font-size: 1.3rem;
    }
}
:where(.blog-rte) .mt-figure-center,
:where(.blog-rte) p:has(.mt-image-center){
    text-align: center;
}
:where(.blog-rte) .mt-image-center{
    justify-content: center;
    align-items: center;
    margin-right: auto;
    margin-left: auto;
}
:where(.blog-rte) :is(p:not([class]):has(img), .mt-figure) + p{
    margin-top: -12px;
}
:where(.blog-rte) :is(p:not([class]):has(img), .mt-figure):not(:has(figcaption)) + p{
    margin-top: -17px;
}
@media screen and (max-width:767px){
    :where(.blog-rte) :is(p:not([class]):has(img), .mt-figure) + p{
        margin-top: -11px;
    }
    :where(.blog-rte) :is(p:not([class]):has(img), .mt-figure):not(:has(figcaption)) + p{
        margin-top: -16px;
    }
}

/* a */
:where(.blog-rte) a{
    color: var(--link-blue);
    text-decoration: underline;
}
@media (any-hover: hover){
    :where(.blog-rte) a:hover{
        opacity: 1;
        color: var(--link-blue);
        text-decoration: none;
    }
}
@media screen and (min-width:769px){
    :where(.blog-rte) a[href^="tel:"]{
        color: inherit;
        text-decoration: inherit;
    }
}
:where(.blog-rte) div:not([class]):has(a:only-child){
    margin: 13px 0 15px;
}
:where(.blog-rte) a:has(img),
:where(.blog-rte *[class*="custom-block"]) a{
    color: inherit;
    text-decoration: none;
}

/* heading */
:where(.blog-rte) h1,
:where(.blog-rte) h2,
:where(.blog-rte) h3,
:where(.blog-rte) h4,
:where(.blog-rte) h5,
:where(.blog-rte) h6{
    margin: 0;
    padding: 0;
    border: none;
    color: inherit;
    font-weight: bold;
    text-align: left;
    text-decoration: none;
}
:where(.blog-rte) :is(h1,h2,h3,h4,h5,h6) + :is(h1,h2,h3,h4,h5,h6,div,img,p:not([class]):has(img),table,ul,ol){
    margin-top: 0!important;
}
.blog-rte h1{
    margin: 40px 0 20px;
    font-size: 20px;
    line-height: calc(1em + 10px);
}
@media screen and (max-width:767px){
    .blog-rte h1{
        margin: 30px 0 14px;
        font-size: 18px;
    }
}
:where(.blog-rte) h2{
    position: relative;
    margin: 40px 0 20px;
    padding: 7px 10px;
    border-left: solid 7px var(--main-blue);
    background: var(--bg-gray);
    font-size: 20px;
    line-height: calc(1em + 6px);
}
@media screen and (max-width:767px){
    :where(.blog-rte) h2{
        margin: 35px 0 19px;
        border-left-width: 5px;
        font-size: 18px;
    }
}
:where(.blog-rte) h3{
    margin: 30px 0 15px;
    color: var(--accent-blue);
    font-size: 20px;
    line-height: calc(1em + 10px);
}
@media screen and (max-width:767px){
    :where(.blog-rte) h3{
        margin: 25px 0 10px;
        font-size: 18px;
    }
}
:where(.blog-rte) h4{
    position: relative;
    margin: 25px 0 10px;
    font-size: 18px;
    line-height: calc(1em + 10px);
}
:where(.blog-rte) h4::before{
    display: inline-block;
    margin-right: .2em;
    color: var(--main-blue);
    font-family: var(--font-mono);
    content: "◆";
}
@media screen and (max-width:767px){
    :where(.blog-rte) h4{
        margin: 20px 0 10px;
        font-size: 16px;
    }
}
:where(.blog-rte) h5{
    margin: 20px 0 10px;
    font-size: 16px;
    line-height: calc(1em + 10px);
}
@media screen and (max-width:767px){
    :where(.blog-rte) h5{
        margin: 16px 0 8px;
        font-size: 16px;
    }
}
:where(.blog-rte) h6{
    margin: max(15px, 1em) 0 5px;
    font-size: inherit;
    line-height: calc(1em + 10px);
}
@media screen and (max-width:767px){
    :where(.blog-rte) h6{
        margin: max(13px, 1em) 0 5px;
    }
}

/* list */
:where(.blog-rte) ul,
:where(.blog-rte) ol{
    margin: 29px 0 36px;
    line-height: calc(1em + 9px);
}
:where(.blog-rte) li:not(:last-child){
    margin-bottom: 9px;
}
@media screen and (max-width:767px){
    :where(.blog-rte) ul,
    :where(.blog-rte) ol{
        margin: 20px 0 25px;
    }
    :where(.blog-rte) li:not(:last-child){
        margin-bottom: 8px;
    }
}
:where(.blog-rte) ul li{
    position: relative;
    padding-left: 14px;
}
:where(.blog-rte) ul li::before{
    position: absolute;
    top: calc(.5em + 2px);
    left: 0;
    width: 6px;
    height: 6px;
    border-radius: 50%;
    background: var(--accent-blue);
    content: "";
}
@media screen and (max-width:767px){
    :where(.blog-rte) ul li{
        padding-left: 12px;
    }
    :where(.blog-rte) ul li::before{
        top: calc(.5em + 3px);
        width: 4px;
        height: 4px;
    }
}
:where(.blog-rte) ol{
    counter-reset: list-num;
}
:where(.blog-rte) ol li{
    position: relative;
    padding-left: max(1.4em, 21px);
}
:where(.blog-rte) ol:has(li:nth-child(10)) li{
    padding-left: max(2em, 30px);
}
:where(.blog-rte) ol li::before{
    position: absolute;
    top: 0;
    left: 0;
    min-width: 17px;
    color: var(--accent-blue);
    font-weight: 600;
    content: counter(list-num)".";
    counter-increment: list-num;
}
@media screen and (max-width:767px){
    :where(.blog-rte) ol li{
        padding-left: max(1.42em, 20px);
    }
    :where(.blog-rte) ol:has(li:nth-child(10)) li{
        padding-left: max(2em, 28px);
    }
    :where(.blog-rte) ol li::before{
        min-width: 16px;
    }
}

/* table  */
:where(.blog-rte) table{
    max-width: 100%;
    border: none;
    line-height: calc(1em + 8px);
}
:where(.blog-rte) > table,
.editor__table{
    margin: 45px 0 30px;
}
:where(.blog-rte) table caption{
    margin-bottom: 10px;
}
:where(.blog-rte) table p{
    margin: 0;
}
:where(.blog-rte) table p + p{
    margin-top: 10px;
}
:where(.blog-rte) th,
:where(.blog-rte) td{
    padding: 20px 10px 22px;
    border: none;
    border: solid 1px #ccc;
}
:where(.blog-rte) th{
    background: var(--bg-gray);
    font-weight: bold;
}
@media screen and (max-width:767px){
    :where(.blog-rte) table,
    :where(.blog-rte) table :is(caption,thead,tbody,tr,th,td){
        height: unset!important;
    }
    :where(.blog-rte) > table,
    .editor__table{
        clear: both;
        margin: 30px 0 20px;
    }
    :where(.blog-rte) th,
    :where(.blog-rte) td{
        padding: 11px 8px;
    }
    :where(.blog-rte) th{
        min-width: 31.25vw;
    }
    :where(.blog-rte) td{
        min-width: 43.75vw;
    }
}

/* columns */
.mt-be-columns{
    gap: 40px;
    margin: 40px 0;
}
.mt-be-columns:has(.mt-be-column:nth-child(3):last-child){
    gap: 32px;
}
.mt-be-columns:has(.mt-be-column:nth-child(4)){
    gap: 20px;
}
.mt-be-column{
    flex: 1;
    min-width: 0;
}
.mt-be-column > *:first-child{
    margin-top: 0!important;
}
.mt-be-column > *:last-child{
    margin-bottom: 0!important;
}
@media screen and (min-width:769px){
    .mt-be-columns:has(.mt-be-column:nth-child(2):last-child) .mt-be-column:has(.mt-figure),
    .mt-be-columns:has(.mt-be-column:nth-child(2):last-child) .mt-be-column:has(p img:only-child){
        flex: 0 0 auto;
        max-width: calc(50% - 20px);
    }   
}
@media screen and (max-width:767px){
    .mt-be-columns:has(.mt-be-column:nth-child(2):last-child){
        flex-direction: column;
        gap: 30px 0;
    }
    .mt-be-columns:has(.mt-be-column:nth-child(2):last-child) .mt-be-column img{
        width: auto;
    }
    .mt-be-columns:has(.mt-be-column:nth-child(3):last-child){
        flex-direction: column;
        gap: 20px 0;
    }
    .mt-be-columns:has(.mt-be-column:nth-child(4)){
        flex-wrap: wrap;
        gap: 20px 14px;
    }
    .mt-be-columns:has(.mt-be-column:nth-child(4)) .mt-be-column{
        flex: 0 0 auto;
        width: calc(50% - 7px);
    }
    .mt-be-columns:not(:has(.mt-be-column:nth-child(4))) .mt-be-column:has(h1:first-child),
    .mt-be-columns:not(:has(.mt-be-column:nth-child(4))) .mt-be-column:has(h2:first-child){
        margin-top: 10px;
    }
    .mt-be-columns:not(:has(.mt-be-column:nth-child(4))) .mt-be-column:has(h3:first-child):not(:first-child),
    .mt-be-columns:not(:has(.mt-be-column:nth-child(4))) .mt-be-column:has(h4:first-child):not(:first-child){
        margin-top: 5px;
    }
}
.mt-be-column .mt-be-columns:has(.mt-be-column:nth-child(2):last-child){
    gap: 30px;
}
.mt-be-column .mt-be-columns:has(.mt-be-column:nth-child(3):last-child){
    gap: 20px;
}
.mt-be-column .mt-be-columns:has(.mt-be-column:nth-child(4):last-child){
    gap: 10px;
}
@media screen and (max-width:767px){
    .mt-be-column .mt-be-columns:has(.mt-be-column:nth-child(2):last-child){
        flex-direction: row;
        gap: min(20px, var(--inner-sides_sp));
    }
    .mt-be-column .mt-be-columns:has(.mt-be-column:nth-child(3):last-child){
        flex-wrap: wrap;
        flex-direction: row;
        gap: 10px;
    }
    .mt-be-column .mt-be-columns:has(.mt-be-column:nth-child(3):last-child) .mt-be-column{
        flex: 0 0 auto;
        width: calc(50% - 5px);
    }
    .mt-be-column .mt-be-columns:has(.mt-be-column:nth-child(4):last-child){
        flex-wrap: wrap;
        gap: 5px;
    }
    .mt-be-column .mt-be-columns:has(.mt-be-column:nth-child(4):last-child) .mt-be-column{
        width: calc((100% - 10px) / 3);
    }
}

/* emded */
.editor__emded{
    margin: 30px 0;
}
:where(.blog-rte) iframe{
    max-width: 100%;
    background: var(--bg-gray);
}
@media screen and (max-width:767px){
    .editor__emded{
        margin: 20px 0;
    }
    :where(.blog-rte) iframe[src^="https://www.google.com/maps/embed"]{
        height: unset;
        aspect-ratio: 4 / 3;
    }
}

/*-------------
custom-block
-------------*/
.custom-block_file{
    margin: 30px 0 40px;
}
.custom-block_file + .custom-block_file{
    margin-top: -25px;
}
@media screen and (max-width:767px){
    .custom-block_file + .custom-block_file{
        margin-top: -30px;
    }
}
.custom-block_file a{
    display: flex;
    align-items: center;
    position: relative;
    min-height: 48px;
    padding: 10px 15px 10px 50px;
    border: solid 1px var(--border-gray);
    border-radius: 5px;
    background: #fff;
    color: var(--base-black);
    font-size: 14px;
    line-height: calc(1em + 8px);
    letter-spacing: .02em;
    text-decoration: none;
    transition: background var(--ease), color var(--ease);
}
@media (any-hover: hover){
    .custom-block_file a:hover{
        background: var(--bg-green);
        color: var(--link-blue);
    }
}
.custom-block_file a::before{
    position: absolute;
    top: calc(50% - 13px);
    left: 15px;
    width: 26px;
    height: 26px;
    border-radius: 50%;
    background: url(../images/icon_file.svg) no-repeat center / auto, var(--main-blue);
    content: "";
}

/* custom-block_linkbtn */
.custom-block_linkbtn{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 30px 0 50px;
}
.custom-block_linkbtn + .custom-block_linkbtn{
    margin-top: -35px;
}
@media screen and (max-width:767px){
    .custom-block_linkbtn{
        margin-bottom: 40px;
    }
    .custom-block_linkbtn + .custom-block_linkbtn{
        margin-top: -30px;
    }
}
.custom-block_linkbtn a{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    position: relative;
    min-width: min(100%, 360px);
    min-height: 50px;
    padding: 8px 25px;
    border-radius: 99px;
    background: var(--main-blue);
    color: #fff;
    font-size: 1.6rem;
    font-weight: bold;
    line-height: calc(1em + 8px);
    text-align: center;
    transition: background var(--ease);
}
@media screen and (max-width:767px){
    .custom-block_linkbtn a{
        min-height: 44px;
        font-size: 1.4rem;
    }
}
@media (any-hover: hover){
    .custom-block_linkbtn a:hover{
        background: var(--accent-blue);
    }
}
.custom-block_linkbtn a[target="_blank"]::after{
    flex: 0 0 auto;
    width: 14px;
    height: 14px;
    background: url(../images/icon_blank.svg) no-repeat center / contain;
    content: "";
}

/*-------------
スクロールコンテナ
-------------*/
.custom-scroller{
    --scrollbar-heghit: 10px; /* バーの高さ */
    --scrollbar-gap: calc(var(--scrollbar-heghit) + 12px); /* バーとの間隔（高さ込み） */
    position: relative;
    overflow: hidden;
}
.custom-scroll-container{
    position: relative;
    padding-bottom: var(--scrollbar-gap);
    overflow: auto;
    scrollbar-width: none;
}
.custom-scroll-container::-webkit-scrollbar{
    display: none;
}
@media screen and (min-width:769px){
    .custom-scroll-container._scrolling{
        cursor: grab;
    }  
    .custom-scroll-container._scrolling:active{
        cursor: grabbing;
    }  
}
.custom-scroll-container._scrolling a,
.custom-scroll-container._scrolling img{
    pointer-events: none;
}
.custom-scrollbar{
    display: block;
    position: relative;
    width: 100%;
    height: var(--scrollbar-heghit);
    margin-top: calc(-1 * var(--scrollbar-heghit));
    overflow: hidden;
    border-radius: 999px;
    background-color: rgba(100,100,100,.25);
}
.custom-scrollbar__thumb{
    opacity: .5;
    position: absolute;
    bottom: 0;
    left: 0;
    height: 100%;
    border-radius: 2px;
    background-color: rgba(0,0,0,.5);
    pointer-events: auto;
    transition: opacity .3s ease;
    touch-action: none;
}
@media screen and (min-width:769px){
    .custom-scrollbar__thumb:hover{
        opacity: .75;
    }
    .custom-scrollbar__thumb:active{
        opacity: 1;
    }
}
.custom-scroller .shadow{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: calc(100% - var(--scrollbar-gap));
    content: "";
    pointer-events: none;
}
